Bug 1211100 - ld.so crash when audit modules provide path
Summary: ld.so crash when audit modules provide path
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 7.1
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Florian Weimer
QA Contact: Arjun Shankar
Marc Muehlfeld
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks: 1203710 1297579 1313485
TreeView+ depends on / blocked
 
Reported: 2015-04-13 02:09 UTC by Kazu Yoshida
Modified: 2016-11-03 08:22 UTC (History)
8 users (show)

Fixed In Version: glibc-2.17-111.el7
Doc Type: Bug Fix
Doc Text:
Dynamic linker no longer fails when an audit module provides alternate DSO Previously, when an audit module provided an alternate DSO (dynamic shared object) path, the *ld.so* dynamic linker terminated unexpectedly with a segmentation fault. This update fixes the bug and the dynamic linker now keeps track of the original DSO path for future reference and no longer crashes in the described scenario.
Story Points: ---
Clone Of: 1211098
Environment:
Last Closed: 2016-11-03 08:22:32 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2573 normal SHIPPED_LIVE Low: glibc security, bug fix, and enhancement update 2016-11-03 12:05:56 UTC
Sourceware 18251 None None None Never
Red Hat Knowledge Base (Solution) 1412683 None None None Never

Description Kazu Yoshida 2015-04-13 02:09:49 UTC
+++ This bug was initially created as a clone of Bug #1211098 +++

Description of problem:

When audit modules provide path as the return value of the la_objsearch calls the name replaces whatever ld.so uses to find the DSO.  If the target DSO has an SONAME this is the SONAME. As a result the SONAME is not in the list by which the DSO is known. This usually is no problem. It becomes a problem when the SONAME is needed afterwards. One example is checking symbol and DSO versions.

Version-Release number of selected component (if applicable):
RHEL6 glibc

How reproducible:
As below

Steps to Reproduce:
ld.so crash when below both  conditions are met
1) audit modules provide path
2) dependent libary(ie what is recorded in NEEDED section) has dso versioning

Actual results:
ld.so crash

Expected results:
ld.so not to crash

Additional info:
Upstream bugzilla
https://sourceware.org/bugzilla/show_bug.cgi?id=18251

--- Additional comment from Kazu Yoshida on 2015-04-12 21:57:37 EDT ---

glibc-2.12-1.149.el6_6.5

--- Additional comment from RHEL Product and Program Management on 2015-04-12 22:00:41 EDT ---

Since this bug report was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 7 Florian Weimer 2015-11-06 13:20:51 UTC
Ulrich's patch posted upstream:

  https://sourceware.org/ml/libc-alpha/2015-11/msg00112.html

Comment 10 Mike McCune 2016-03-28 22:37:22 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 14 errata-xmlrpc 2016-11-03 08:22:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2573.html


Note You need to log in before you can comment on or make changes to this bug.